#include "Color.h"

Color& Color::operator+=(const Color &rhs) 
{
    r += rhs.r;
    g += rhs.g;
    b += rhs.b;
    return *this;
}
    
Color Color::operator+(const Color &rhs) const 
{
    return Color(*this) += rhs;
}
    
Color Color::createHue( double h ) 
{
    h *= 6.0;
    int hi = static_cast<int>( h );
    double hf = h - hi;
    
    
    switch( hi % 6 ) {
        case 0:
        return Color( 1.0 , hf, 0.0 );
        case 1:
        return Color( 1.0 - hf, 1.0, 0.0 );
        case 2:
        return Color( 0.0 , 1.0, hf );
        case 3:
        return Color( 0.0, 1.0 - hf, 1.0 );
        case 4:
        return Color( hf, 0.0, 1.0 );
        case 5:
        return Color( 1.0, 0.0, 1.0 - hf );
    }
    
    return Color();
}

Color Color::white()
{
	return Color(1.0, 1.0, 1.0);
}

Color Color::black()
{
	return Color(0.0, 0.0, 0.0);
}