#pragma once

#include "GXBase.h"
#include "Color.h"


#include <iostream>
#include <cmath>
#include <vector>


using namespace gxbase;
using namespace std;

// creates a opengl window and sets an image to full screen
class MyWindow :public GLWindow {
public:
	MyWindow();

	void OnDisplay();
	void OnIdle();		// continuously redraw
	void Draw();		// work out the attractor image and draw it
	void OnKeyboard(int key, bool down);

private:
	Image	m_image;		// image to draw our fractal attractor

	vector<Color> m_imageColor;	// the vector that describes our images using Colors

	// attractor vars
	int m_width;		// width and height of the image
    int m_height;
    int m_iters;

    double m_minX;
    double m_minY;
    double m_maxX;
    double m_maxY;

	double m_a;	// a, b, c, d to define the attractor
	double m_b;
	double m_c;
	double m_d;
};